#spring.datasource.url=jdbc:h2:mem:testdb
#spring.datasource.driver-class-name=org.h2.Driver


#connessione al database MySQL, se non esiste lo crea
spring.datasource.url=jdbc:mysql://localhost:3306/lezione08032021?createDatabaseIfNotExist=true&serverTimezone=Europe/Rome 

#imposta username e password della connessione
spring.datasource.username=root
spring.datasource.password=root


#con la initialization-mode si esegue lo script data.sql
#spring.datasource.initialization-mode=always
spring.sql.init.enabled=true
#spring.batch.initialize-schema=always

#va a controllare se il DB è compatibile con il nostro progetto
# spring.jpa.hibernate.ddl-auto=create

#nel caso in cui si usa la create-drop, il database viene creato all'inizio e poi droppato alla fine dell'esecuzione